<div class="container  pt-5">
    <div class="row ">
        <div class="col-lg-3 col-sm-6 col-xs-12 col-12 mb-4">
            <div class="card text-center">
                <div class="card-body">
                    <p class="card-text">Total Active Deals
                    </p>
                    <h5 class="card-title">{{_ResponseI.ActiveDeals || 0}}</h5>
                    <p class="card-text"><small class="text-muted">Total active deals</small></p>
                </div>
            </div>
        </div>
        <div class="col-lg-3 col-sm-6 col-xs-12 col-12 mb-4">
            <div class="card text-center">
                <div class="card-body">
                    <p class="card-text">Total Active Cities
                    </p>
                    <h5 class="card-title">{{_ResponseI.ActiveCities || 0}}</h5>
                    <p class="card-text"><small class="text-muted">Total active cities</small></p>
                </div>
            </div>
        </div>
        <div class="col-lg-3 col-sm-6 col-xs-12 col-12 mb-4">
            <div class="card text-center">
                <div class="card-body">
                    <p class="card-text">Total Active Merchants
                    </p>
                    <h5 class="card-title">{{_ResponseI.ActiveMerchant || 0}}</h5>
                    <p class="card-text"><small class="text-muted">Total active cities</small></p>
                </div>
            </div>
        </div>
        <div class="col-lg-3 col-sm-6 col-xs-12 col-12 mb-4">
            <div class="card text-center">
                <div class="card-body">
                    <p class="card-text">Total Active Stores
                    </p>
                    <h5 class="card-title">{{_ResponseI.ActiveStores || 0}}</h5>
                    <p class="card-text"><small class="text-muted">Total active stores</small></p>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <h5>Cities</h5>
            <div class="table-responsive">
                <table class="table">
                    <thead>
                        <tr>
                            <td>

                                City
                            </td>
                            <td>

                                Deals
                            </td>
                            <td>
                                Merchants
                            </td>
                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor="let TItem of _ResponseI.Cities ; let i = index">
                            <td>
                                {{TItem.Name}}
                            </td>
                            <td>
                                {{TItem.MerchantsCount}}
                            </td>
                            <td>
                                {{TItem.StoresCount}}
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
        <div class="col-12">
            <h5>Merchants</h5>
            <div class="table-responsive">
                <table class="table">
                    <thead>
                        <tr>
                            <td>

                                Merchant
                            </td>
                            <td>
                                City
                            </td>
                            <td>
                                Deals
                            </td>
                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor="let TItem of _ResponseI.Merchants ; let i = index">
                            <td>
                                <div class="text-danger"
                                    *ngIf="TItem.CityName == undefined || TItem.CityName == null || TItem.CityName == ''">
                                    {{TItem.Name}}
                                </div>
                                <div class="text-success"
                                    *ngIf="TItem.CityName != undefined && TItem.CityName != null && TItem.CityName != ''">
                                    {{TItem.Name}}
                                </div>
                            </td>
                            <td>
                                {{TItem.CityName}}
                            </td>
                            <td>
                                {{TItem.DealsCount}}
                            </td>

                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
        <div class="col-12">
            <h5>Deals</h5>
            <div class="table-responsive">
                <table class="table">
                    <thead>
                        <tr>
                            <td>
                                Deal
                            </td>
                            <td>

                                Merchant
                            </td>
                            <td>

                                City
                            </td>
                            <td>
                                CoCordinates
                            </td>
                            <td>
                                Start Time
                            </td>
                            <td>
                                End Time
                            </td>
                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor="let TItem of _ResponseI.Deals ; let i = index">
                            <td>
                                <div class="text-danger"
                                    *ngIf="TItem.CityName == undefined || TItem.CityName == null || TItem.CityName == ''">
                                    {{TItem.Title}}
                                </div>
                                <div class="text-success"
                                    *ngIf="TItem.CityName != undefined && TItem.CityName != null && TItem.CityName != ''">
                                    {{TItem.Title}}
                                </div>
                            </td>
                            <td>
                                <div class="text-danger"
                                    *ngIf="TItem.CityName == undefined || TItem.CityName == null || TItem.CityName == ''">
                                    {{TItem.MerchantName}}
                                </div>
                                <div class="text-success"
                                    *ngIf="TItem.CityName != undefined && TItem.CityName != null && TItem.CityName != ''">
                                    {{TItem.MerchantName}}
                                </div>
                            </td>
                            <td>
                                {{TItem.CityName}}
                            </td>
                            <td>
                                <div *ngIf="TItem.GeoCoordinate != undefined && TItem.GeoCoordinate != null">
                                    {{TItem.GeoCoordinate.Latitude}} | {{TItem.GeoCoordinate.Longitude}}
                                </div>
                            </td>
                            <td>
                                {{TItem.StartDate}}
                            </td>
                            <td>
                                {{TItem.EndDate}}
                            </td>

                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>